<?php

namespace Fifa\ConnectId\Sdk\Util\Serialization\Configurations;

use Fifa\ConnectId\Sdk\Model\DataStandard\PersonLocal;
use Fifa\ConnectId\Sdk\Model\Transfer\Club;

class FirstProRegistrationXmlSerializerConfiguration
{
    public static function getScalarAsAttributes(): array
    {
        return array_merge(
            PersonLocalXmlSerializerConfiguration::getScalarAsAttributes('Player'),
            [
                'FirstProRegistration' => ['MessageId', 'ClubStatus', 'PlayerTrainedInOtherMemberAssociation'],
                'Club' => CommonXmlSerializerConfiguration::getClubScalarAsAttributes(),
            ]
        );
    }

    public static function getMappings(): array
    {
        return array_merge(
            PersonLocalXmlSerializerConfiguration::getMappings(),
            [
                'Player' => PersonLocal::class,
                'Club' => Club::class
            ]
        );
    }

    public static function getTagmap(): array
    {
        return array_merge(
            PersonLocalXmlSerializerConfiguration::getTagmap(),
            []
        );
    }
}